Share via


Single Sign On Configurations - Create Or Update

Configures single-sign-on for this resource.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Datadog/monitors/{monitorName}/singleSignOnConfigurations/{configurationName}?api-version=2025-06-11

URI Parameters

Name In Required Type Description
configurationName
path True

string

Configuration name

monitorName
path True

string

minLength: 2
maxLength: 32
pattern: ^[a-zA-Z0-9_][a-zA-Z0-9_-]+$

Monitor resource name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties

DatadogSingleSignOnProperties

Responses

Name Type Description
200 OK

DatadogSingleSignOnResource

Resource 'DatadogSingleSignOnResource' update operation succeeded

201 Created

DatadogSingleSignOnResource

Resource 'DatadogSingleSignOnResource' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

SingleSignOnConfigurations_CreateOrUpdate

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Datadog/monitors/myMonitor/singleSignOnConfigurations/default?api-version=2025-06-11

{
  "properties": {
    "enterpriseAppId": "00000000-0000-0000-0000-000000000000",
    "singleSignOnState": "Enable"
  }
}

Sample response

{
  "name": "default",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Datadog/monitors/myMonitor/singleSignOnConfigurations/default",
  "properties": {
    "enterpriseAppId": "00000000-0000-0000-0000-000000000000",
    "singleSignOnState": "Enable",
    "singleSignOnUrl": null
  }
}
{
  "name": "default",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Datadog/monitors/myMonitor/singleSignOnConfigurations/default",
  "properties": {
    "enterpriseAppId": "00000000-0000-0000-0000-000000000000",
    "singleSignOnState": "Enable",
    "singleSignOnUrl": null
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DatadogSingleSignOnProperties
DatadogSingleSignOnResource

Concrete proxy resource types can be created by aliasing this type using a specific property type.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ProvisioningState
SingleSignOnStates

Various states of the SSO resource

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DatadogSingleSignOnProperties

Name Type Description
enterpriseAppId

string

The Id of the Enterprise App used for Single sign-on.

provisioningState

ProvisioningState

singleSignOnState

SingleSignOnStates

Various states of the SSO resource

singleSignOnUrl

string

The login URL specific to this Datadog Organization.

DatadogSingleSignOnResource

Concrete proxy resource types can be created by aliasing this type using a specific property type.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties

DatadogSingleSignOnProperties

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ProvisioningState

Value Description
Accepted
Creating
Updating
Deleting
Succeeded
Failed
Canceled
Deleted
NotSpecified

SingleSignOnStates

Various states of the SSO resource

Value Description
Initial
Enable
Disable
Existing

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.